Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.protocol
Class RequestConnControl

    java.lang.Object
      org.apache.http.protocol.RequestConnControl

All Implemented Interfaces:
  HttpRequestInterceptor

    @Contract(threading=IMMUTABLE)
    public class RequestConnControl

extends Object
implements HttpRequestInterceptor

RequestConnControl is responsible for adding `Connection` header to the outgoing requests, which is essential for managing persistence of `HTTP/1.0` connections. This interceptor is recommended for client side protocol processors.

Since:
  4.0

Constructor Summary
`RequestConnControl()`

Method Summary
`void` | `process(HttpRequest request, HttpContext context)` Processes a request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestConnControl

    public RequestConnControl()

Method Detail

### process

    public void process(HttpRequest request,
                        HttpContext context)
                 throws HttpException,
                        IOException

  Description copied from interface: `HttpRequestInterceptor`
  Processes a request. On the client side, this step is performed before the request is sent to the server. On the server side, this step is performed on incoming messages before the message body is evaluated.

  Specified by:
    `process` in interface `HttpRequestInterceptor`
  Parameters:
    `request` - the request to preprocess
    `context` - the context for the request
  Throws:
    `HttpException` - in case of an HTTP protocol violation
    `IOException` - in case of an I/O error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.